-- Juego de Dragon Ball: Selección de personajes y ataques

-- Configuración inicial
local equipoJugador = {}
local equipoEnemigo = {"Jiren", "Topo", "Hit", "Goku", "Vegeta"}
local ataques = {"Kamehameha", "Genkidama"}

-- Función para mostrar texto en el lector de pantalla
local function speak(text)
    -- Aquí puedes integrar una API para el lector de pantalla, como TalkBack o TTS
    print(text)  -- Esto es para depuración
end

-- Función para seleccionar personajes
local function seleccionarPersonajes()
    local personajesDisponibles = {"Zeno-sama", "Supremo Sacerdote", "Bills", "Belmont", "Champa"}
    speak("Selecciona tus 5 personajes para el equipo.")
    for i = 1, 5 do
        speak("Personaje " .. i .. " de 5:")
        for index, personaje in ipairs(personajesDisponibles) do
            speak(index .. ": " .. personaje)
        end
        local seleccion = tonumber(io.read())
        if seleccion and personajesDisponibles[seleccion] then
            table.insert(equipoJugador, personajesDisponibles[seleccion])
            speak(personajesDisponibles[seleccion] .. " añadido al equipo.")
            table.remove(personajesDisponibles, seleccion)
        else
            speak("Selección inválida. Intenta de nuevo.")
            i = i - 1
        end
    end
end

-- Función para seleccionar ataque
local function seleccionarAtaque()
    speak("Selecciona el ataque para el equipo:")
    for index, ataque in ipairs(ataques) do
        speak(index .. ": " .. ataque)
    end
    local seleccion = tonumber(io.read())
    if seleccion and ataques[seleccion] then
        return ataques[seleccion]
    else
        speak("Selección inválida. Usando Kamehameha por defecto.")
        return "Kamehameha"
    end
end

-- Función para iniciar la batalla
local function iniciarBatalla()
    speak("¡La batalla comienza!")
    speak("Tu equipo: " .. table.concat(equipoJugador, ", "))
    speak("Equipo enemigo: " .. table.concat(equipoEnemigo, ", "))

    local ataque = seleccionarAtaque()
    speak("Has elegido el ataque " .. ataque .. " para tu equipo.")

    -- Simulación básica de batalla
    speak("Lanzando ataque " .. ataque .. " en equipo...")
    local resultado = math.random(1, 2)  -- 1 para ganar, 2 para perder
    if resultado == 1 then
        speak("¡Felicidades! Tu equipo ha derrotado al equipo enemigo.")
    else
        speak("Oh no, el equipo enemigo ha ganado esta vez.")
    end
end

-- Ejecución del juego
speak("Bienvenido al juego de Dragon Ball 5 contra 5.")
seleccionarPersonajes()
iniciarBatalla()